<?php
/**
 * @author Petr Ruttkay
 *
 */

require_once "./_class/funcCore.php";
require_once "./_func/modelPdoFactory.php";
require_once "./_func/menuModelFunc.php";
require_once "./_func/kurzy.php";



header("Content-Type: text/html; charset=utf-8");
//nezapomeň nastartovat session!
if (session_status() == PHP_SESSION_NONE)
{
    session_start();
    header("Cache-control: private");
}

$funcCore = new FuncCore();
$funcCore->start("", "", false, false);


$menu = "uvod.php";
$isLogged = 0;
if (isset($_GET['menu'])){
    $menu = $_GET['menu'];
}
if (isset($_SESSION['user_is_logged'])){
    $isLogged = $_SESSION['user_is_logged'];
}

if ($menu == "login" && $isLogged == 0){
    $funcCore = new FuncCore();
    $funcCore->start("", "", true, false);
    
} else {
    if ($menu == "login") {  //Uživatel už je přihlášený
        $menu = "model";
    }
    
}
if (isset($_GET['menuID'])){
    $currentMenuID = $_GET['menuID'];
} else {
    $currentMenuID = null;
}
if (isset($_GET['parent'])){
    $parentMenuID = $_GET['parent'];
} else {
    $parentMenuID = null;
}

try
{
    $pdo = getPdoModel();
    echo fillMenuModelNew($pdo, $currentMenuID, $parentMenuID);
}
catch (PDOException $e)
{
    echo "<BR>Chyba načítání horního menu";
}

?>


<div id='basediv'>

<?php

if (!isset($_SESSION['kurz_EUR']) || !isset($_SESSION['kurz_EUR_datum']) ||
    $_SESSION['kurz_EUR_datum'] != date("d.m.Y")){
    $_SESSION['kurz_EUR'] = getKurzEUR();
}

	switch ($menu) {
	    case "model": include("./model/model.inc.php");
	    break;
	    case "option": include("./model/modelintervalinp.inc.php");
	    break;
		case "admin": include("./private/menu.inc.php"); 
		break;
		default:
		    include($menu);
		break;
	}


	
	
?>
<BR>
<div id="footer">

<footer class="bg-dark text-center text-lg-start fixed-bottom ">
  <!-- Copyright -->
  <div class="footer-copyright text-center py-3"><strong>&copy;</strong> 2024 Bc. Petr Ruttkay:
    <a href="http://ruttu.4fan.cz/CEVEMA+/">CEVEMA+</a>
    <p class="float-end"><a href="#">Back to top</a></p>
  </div>
  <!-- Copyright -->

</footer>
</div>
