<?php
/**
 * @author Petr Ruttkay
 *
 */
require_once "./_func/modelPdoFactory.php";
require_once "./_func/errorlib.php";
require_once "./_class/prHtmlForm.php";
require_once "./_class/prHtmlTable.php";
require_once "./_class/prProgress.php";
require_once "./_func/datetime_lib.php";
require_once "./_func/format.php";
require_once "./_class/formXmlRead.php";
require_once "./_class/formBoxCreator.php";
require_once "./_class/formCheck.php";
require_once "./_class/formCore.php";
/**
 * Třída pro formulář na zdání roysahu hodnot modelu CEVEMA+  
 *
 */
class ModelItervalInp extends FormCore
{
    private $pdo;
    private $formStructure;
    
    
    public function __construct(modelPdo $pdo, FormStructure $formStructure)
    {
        $this->pdo = $pdo;
        $this->formStructure = $formStructure;
        
        
        parent::__construct($pdo, "Volba hodnot", $formStructure);
    }
    
    public function run()
    {
        parent::setTempFlag(false);
        parent::setPregressText("Načítají se data");
        parent::run();
    }
    
    
}
